RenderDynamicMethod (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
[Java] Class RenderDynamicMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.RenderDynamicMethod

    @java.lang.SuppressWarnings({"unchecked","rawtypes"})
    public class RenderDynamicMethod
    extends AbstractDynamicMethodInvocation

Allows rendering of text, views, and templates to the response

Authors:
  Graeme Rocher

Since:
  0.2

Field Summary
`static java.lang.String` | `ARGUMENT_BEAN`
`static java.lang.String` | `ARGUMENT_BUILDER`
`static java.lang.String` | `ARGUMENT_COLLECTION`
`static java.lang.String` | `ARGUMENT_CONTENT_TYPE`
`static java.lang.String` | `ARGUMENT_CONTEXTPATH`
`static java.lang.String` | `ARGUMENT_ENCODING`
`static java.lang.String` | `ARGUMENT_LAYOUT`
`static java.lang.String` | `ARGUMENT_MODEL`
`static java.lang.String` | `ARGUMENT_STATUS`
`static java.lang.String` | `ARGUMENT_TEMPLATE`
`static java.lang.String` | `ARGUMENT_TEXT`
`static java.lang.String` | `ARGUMENT_VAR`
`static java.lang.String` | `ARGUMENT_VIEW`
`static java.lang.String` | `DISPOSITION_HEADER_PREFIX`
`static java.util.regex.Pattern` | `METHOD_PATTERN`
`static java.lang.String` | `METHOD_SIGNATURE`

Constructor Summary
`RenderDynamicMethod()`

Method Summary
`protected java.util.Collection` | `getActionResultTransformers(GrailsWebRequest webRequest)`
`java.lang.Object` | `invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)`
`void` | `setGspEncoding(java.lang.String gspEncoding)`

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ARGUMENT_BEAN

    public static final java.lang.String ARGUMENT_BEAN

### ARGUMENT_BUILDER

    public static final java.lang.String ARGUMENT_BUILDER

### ARGUMENT_COLLECTION

    public static final java.lang.String ARGUMENT_COLLECTION

### ARGUMENT_CONTENT_TYPE

    public static final java.lang.String ARGUMENT_CONTENT_TYPE

### ARGUMENT_CONTEXTPATH

    public static final java.lang.String ARGUMENT_CONTEXTPATH

### ARGUMENT_ENCODING

    public static final java.lang.String ARGUMENT_ENCODING

### ARGUMENT_LAYOUT

    public static final java.lang.String ARGUMENT_LAYOUT

### ARGUMENT_MODEL

    public static final java.lang.String ARGUMENT_MODEL

### ARGUMENT_STATUS

    public static final java.lang.String ARGUMENT_STATUS

### ARGUMENT_TEMPLATE

    public static final java.lang.String ARGUMENT_TEMPLATE

### ARGUMENT_TEXT

    public static final java.lang.String ARGUMENT_TEXT

### ARGUMENT_VAR

    public static final java.lang.String ARGUMENT_VAR

### ARGUMENT_VIEW

    public static final java.lang.String ARGUMENT_VIEW

### DISPOSITION_HEADER_PREFIX

    public static final java.lang.String DISPOSITION_HEADER_PREFIX

### METHOD_PATTERN

    public static final java.util.regex.Pattern METHOD_PATTERN

### METHOD_SIGNATURE

    public static final java.lang.String METHOD_SIGNATURE

Constructor Detail

### RenderDynamicMethod

    public RenderDynamicMethod()

Method Detail

### getActionResultTransformers

    protected java.util.Collection getActionResultTransformers(GrailsWebRequest webRequest)

### invoke

    @java.lang.Override
    public java.lang.Object invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)

### setGspEncoding

    public void setGspEncoding(java.lang.String gspEncoding)

Groovy Documentation